Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

h1. Symptom

The data tree filter should filter data as the user types. It takes about 1 sec on my macbook air to filter "Doublestar" and | have to hit

History

#1 - 21/03/2016 11:27 AM - Anonymous
- Status changed from New to In Progress

- % Done changed from 0 to 20

After investigation, it seems that the lack in performance is due to :

e a huge number of calls to Regexp's match function
¢ the number of field tested for Regexp is too important (19 fields)

#2 - 25/07/2016 12:03 PM - Anonymous
- % Done changed from 20 to 90

Performances increased a lot by pre-filtering on the data.

The proxy now only checks a data attribute, which takes a lot less time than the previous implementation. (check on parents and children for every
node)

Still needs improvements to have a letter-by-letter filtering though.

#3 - 14/02/2019 10:16 AM - Nicolas Aunai

- Category set to legacy
